# cryptocadet

## CryptoCadet

- [Welcome](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/welcome.md)
- [/admin/gen-ref](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-gen-ref.md): Generates a new referral code for a given wallet address. Remember to replace parameters with your own values.
- [/admin/update-ref](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-update-ref.md): Updates an existing referral code with either a new wallet address or commission percentage. Remember to replace parameters with your own values.
- [/admin/gen-ref-sol](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-gen-ref-sol.md): Generates a new referral code for a SOL wallet address. Remember to replace parameters with your own values.
- [/admin/update-ref-sol](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-update-ref-sol.md): Updates an existing referral code with either a new SOL wallet address or commission percentage. Remember to replace parameters with your own values.
- [/admin/update-watchlist](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-update-watchlist.md): Updates the watchlist for the price tracker. Limit 5 total.
- [/admin/cancel-subscription](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-cancel-subscription.md): Cancels the premium subscription. User will be able to access features until what would have been the next billing period or after 30 days, whichever is shorter.
- [/admin/update-walletAddress](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-update-walletaddress.md): Updates wallet address associated with the account.
- [/admin/update-solAddress](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-update-soladdress.md): Updates SOL wallet address associated with the account.
- [/admin/update-pubKey](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-update-pubkey.md): Updates public key associated with the account. Note: The apiKey is your current public key. The public key generated will become the new one.
- [/admin/update-secretKey](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/admin-api/admin-update-secretkey.md): Updates secret key associated with the account. Note: The secret key should be kept secret at all times and not be shared!
- [/user/get-user](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/user-api/user-get-user.md): Returns the user.
- [/user/get-ref](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/user-api/user-get-ref.md): Returns the wallet address and referral percentage of the referral code.
- [/user/options](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/user-api/user-options.md): Returns the ABI of a given token address.
- [/user/get-proxy](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/user-api/user-get-proxy.md): If the token address belongs to a proxy contract, returns the ABI of the proxied contract.
- [/user/config](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/user-api/user-config.md): Returns router address.
- [/user/price](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/user-api/user-price.md): Returns price of a native token (ETH, BNB, MATIC, etc.)
- [/user/customPrice](https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/user-api/user-customprice.md): Returns price of a custom (non-native) token on a given network.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.12cbbd8f58-hosting.gitbook.io.cryptocadet.app/welcome.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
